Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.workbench
Class PerspectiveRegistry

    java.lang.Object
      ru.biosoft.workbench.PerspectiveRegistry

public class PerspectiveRegistry
extends java.lang.Object

Perspective registry.

To do:
  defaultPerspective
Pendung:
  constructing and storing in separate files new perspectives like Eclipse workbench, category support

Nested Class Summary
`protected class` | `PerspectiveRegistry.PerspectiveExtensionRegistryReader`
`protected class` | `PerspectiveRegistry.PerspectiveRegistryReader`

Field Summary
`static java.lang.String` | `CLASS_ATTR`
`static java.lang.String` | `ICON_ATTR`
`static java.lang.String` | `ID_ATTR`
`protected static org.apache.log4j.Category` | `log`
`static java.lang.String` | `NAME_ATTR`
`static java.lang.String` | `PERSPECTIVE_ELEMENT`
`static java.lang.String` | `PERSPECTIVE_EXTENSION_ELEMENT`
`static java.lang.String` | `PERSPECTIVE_EXTENSIONS_EXTENSION_POINT`
`protected java.util.ArrayList` | `perspectiveList`
`static java.lang.String` | `PERSPECTIVES_EXTENSION_POINT`
`static java.lang.String` | `RATIO_ATTR`
`static java.lang.String` | `RELATIONSHIP_ATTR`
`static java.lang.String` | `RELATIVE_ATTR`
`static java.lang.String` | `TARGET_ID_ATTR`
`static java.lang.String` | `VIEW_ELEMENT`
`static java.lang.String` | `VIEW_ID_ATTR`
`static java.lang.String` | `VISIBLE_ATTR`

Constructor Summary
`PerspectiveRegistry()`

Method Summary
`void` | `add(PerspectiveDescriptor descriptor)`
`PerspectiveDescriptor` | `get(java.lang.String id)`
`PerspectiveDescriptor[]` | `getPerspectives()`
`void` | `remove(PerspectiveDescriptor descriptor)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.log4j.Category log

### perspectiveList

    protected java.util.ArrayList perspectiveList

### PERSPECTIVES_EXTENSION_POINT

    public static java.lang.String PERSPECTIVES_EXTENSION_POINT

### PERSPECTIVE_ELEMENT

    public static java.lang.String PERSPECTIVE_ELEMENT

### ID_ATTR

    public static java.lang.String ID_ATTR

### NAME_ATTR

    public static java.lang.String NAME_ATTR

### CLASS_ATTR

    public static java.lang.String CLASS_ATTR

### ICON_ATTR

    public static java.lang.String ICON_ATTR

### PERSPECTIVE_EXTENSIONS_EXTENSION_POINT

    public static java.lang.String PERSPECTIVE_EXTENSIONS_EXTENSION_POINT

### PERSPECTIVE_EXTENSION_ELEMENT

    public static java.lang.String PERSPECTIVE_EXTENSION_ELEMENT

### TARGET_ID_ATTR

    public static java.lang.String TARGET_ID_ATTR

### VIEW_ELEMENT

    public static java.lang.String VIEW_ELEMENT

### VIEW_ID_ATTR

    public static java.lang.String VIEW_ID_ATTR

### RELATIVE_ATTR

    public static java.lang.String RELATIVE_ATTR

### RELATIONSHIP_ATTR

    public static java.lang.String RELATIONSHIP_ATTR

### RATIO_ATTR

    public static java.lang.String RATIO_ATTR

### VISIBLE_ATTR

    public static java.lang.String VISIBLE_ATTR

Constructor Detail

### PerspectiveRegistry

    public PerspectiveRegistry()

Method Detail

### add

    public void add(PerspectiveDescriptor descriptor)

### remove

    public void remove(PerspectiveDescriptor descriptor)

### get

    public PerspectiveDescriptor get(java.lang.String id)

### getPerspectives

    public PerspectiveDescriptor[] getPerspectives()

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.